> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> List contacts. Use when your application needs to create, look up, or maintain the contact records that the AI agents converse with.

# List contacts



## OpenAPI

````yaml get /contacts
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /contacts:
    get:
      summary: List contacts
      operationId: listContacts
      parameters:
        - schema:
            type: string
          in: query
          name: cursor
          required: false
          description: Pagination cursor to fetch the next set of results
        - schema:
            type: string
          in: query
          name: created_after
          required: false
          description: Filter contacts created after this ISO 8601 timestamp
        - schema:
            type: string
          in: query
          name: created_before
          required: false
          description: Filter contacts created before this ISO 8601 timestamp
        - schema:
            type: string
          in: query
          name: updated_after
          required: false
          description: Filter contacts updated after this ISO 8601 timestamp
        - schema:
            type: string
          in: query
          name: updated_before
          required: false
          description: Filter contacts updated before this ISO 8601 timestamp
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListContactsOutput'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    ListContactsOutput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/ListContactsOutput'
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
        next:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - items
        - next
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    Contact:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/Contact'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        email:
          anyOf:
            - type: string
              format: email
              pattern: >-
                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
            - type: 'null'
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        custom_data:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties:
                type: string
            - type: 'null'
        created_at:
          type: string
          description: ISO 8601 timestamp of when the contact was created
        updated_at:
          type: string
          description: ISO 8601 timestamp of when the contact was last updated
      required:
        - id
        - email
        - phone_number
        - name
        - custom_data
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````